Date: 2013/12/30 Cate: 未分類 Tags: ,  

タイトルどおりですが、cocos2d-xで開発したものをGenyMotionで動かそうとすると
INSTALL_FAILED_CPU_ABI_INCOMPATIBLE
というエラーがでてインストールできませんした。
どうやらアーキテクチャの問題らしく、cocos2d-xのフォーラムの
Cocos2d-x with Genymotion?
こちらで解決策がのっていました。ありがたい!
要約すると、
jni/Application.mkに
APP_ABI := armeabi armeabi-v7a x86
という記述を足して、Cocos2dxActivity.javaのisAndroidEmulatorというメソッドの
isEmulator = product.equals(“sdk”) || product.contains(“sdk”) || product.contains(“sdk“) || product.contains(“vbox”);@

ここを修正する、という感じでした。

Leave a Reply